Skip to main content
POST
/
api
/
currency
/
convert
Convert currency
curl --request POST \
  --url https://convertly.sh/api/currency/convert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "from": "<string>",
  "to": "<string>"
}
'
{
  "id": "<string>",
  "object": "<unknown>",
  "from": "<string>",
  "to": "<string>",
  "amount": "<string>",
  "convertedAmount": "<string>",
  "precision": 123,
  "ratePath": [
    {
      "base": "<string>",
      "quote": "<string>",
      "rate": "<string>",
      "asOf": "2023-11-07T05:31:56Z",
      "source": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key.

Body

application/json
amount
required
from
string
required
Required string length: 3
to
string
required
Required string length: 3
precision
integer
default:6
Required range: 0 <= x <= 12
idempotencyKey
string
Maximum string length: 128

Response

Currency conversion

id
string
required
object
any
required
from
string
required
to
string
required
amount
string
required
convertedAmount
string
required
precision
integer
required
ratePath
object[]
required